<script src="https://api-maps.yandex.ru/2.1/?lang=en_US&amp;apikey=a84872e9-31e6-4bfd-808d-5bde14961d2f" type="text/javascript"></script>
<script>
	var lng = "<?= $this->langJs(); ?>";
	var escortId = "<?= $this->escort->id; ?>";
	var userId = "<?= $this->user_id; ?>";
</script>

<?
	$DEFINITIONS = Zend_Registry::get('defines');
	$about = $this->about;
	$rates = $this->rates;
	$services = $this->services;
	$contacts = $this->contacts;
	$additional_cities = $this->additional_cities;
	$zones = $this->zones;
	$this->has_package = $this->escort->hasProduct(1);
?>
<?= $this->render('escort-profile/escort-head.phtml') ?>

<?php
function getDaysInBetween($start, $end,$in_tour=false) {
    $day = 86400; // Day in seconds
    $format = 'Y-m-d'; // Output format (see PHP date funciton)
    $sTime = /*strtotime(*/$start/*)*/; // Start as time
    $eTime = /*strtotime(*/$end/*)*/; // End as time

    $numDays = ($in_tour)
        ? floor(($eTime - $sTime) / $day)
        : ceil(($eTime - $sTime) / $day);

    $days = array();
    //echo ($eTime - $sTime);
    // Return days
    return abs($numDays);
}
?>


<?php
// ADDED: Based on EFNET-1037
function getDaysForTour($start, $end, $in_tour = false) {
    $day = 86400; // Day in seconds
    $format = 'Y-m-d'; // Output format (see PHP date funciton)
    $sTime = /*strtotime(*/$start/*)*/; // Start as time
    $eTime = /*strtotime(*/$end/*)*/; // End as time

        $numDays = ($in_tour)
            ? floor(($eTime - $sTime) / $day)
            : ceil(($eTime - $sTime) / $day);

    $days = array();
    //echo ($eTime - $sTime);
    // Return days
    return abs($numDays);
}

?>


<script type="text/javascript">
	function show_alertme (){
		var body = document.body,
		html = document.documentElement;

		var height = Math.max( body.scrollHeight, body.offsetHeight,
                       html.clientHeight, html.scrollHeight, html.offsetHeight );
		
		RemoveClassName(window.document.getElementById("overlay"), 'none');
		RemoveClassName(window.document.getElementById("alm-wr-m"), 'none');

		window.document.getElementById("overlay").style.height = height+'px';
	}

	function hide_alertme(){
		AddClassName(window.document.getElementById("overlay"), 'none', true);
		AddClassName(window.document.getElementById("alm-wr-m"), 'none', true);
	}

	function RemoveClassName(objElement, strClass) {
		if ( objElement ){
			if ( objElement.className )
			{
				var arrList = objElement.className.split(' ');
				var strClassUpper = strClass.toUpperCase();

				for ( var i = 0; i < arrList.length; i++ )
				{
					if ( arrList[i].toUpperCase() == strClassUpper )
					{
						arrList.splice(i, 1);
						i--;
					}
				}
				objElement.className = arrList.join(' ');
			}
		}
	}

	function AddClassName(objElement, strClass, blnMayAlreadyExist)	{

		if ( objElement ){
			if ( objElement.className )
			{
				var arrList = objElement.className.split(' ');
				if ( blnMayAlreadyExist )
				{
					var strClassUpper = strClass.toUpperCase();
					for ( var i = 0; i < arrList.length; i++ )
					{
						if ( arrList[i].toUpperCase() == strClassUpper )
						{
							arrList.splice(i, 1);
							i--;
						}
					}
				}
				arrList[arrList.length] = strClass;
				objElement.className = arrList.join(' ');
			}
			else
			{
				objElement.className = strClass;
			}
		}
	}

	function toggleTabs( el ){
		var arrTabs = ['reviews','comments'];

		for ( var i = 0; i <= arrTabs.length-1; i++ ) {
			var _elm = $('#' + arrTabs[i]+'-tab'),
				_elm_tr = $('#' + arrTabs[i]);

			if ( _elm.hasClass('tapped') ) {
				_elm.removeClass('tapped');
			}

			if ( !_elm_tr.hasClass('none') ) {
				_elm_tr.addClass('none');
			}
		}

		el.addClass('tapped');
		var _wr = '#' + el.attr('id').replace('-tab','');

		$(_wr).removeClass('none');
		
		MEscorts.Profile.toggleBtn('reviews_comments');
	}
</script>

<style>
    #contacts_container .private-messanger { width: 105px; height: 28px; line-height: 25px; }
</style>

<?$this->info_bar_phone = $contacts->phone_number ?>
<? $is_susp = $this->escort->isSuspicious(); ?>

<script type="text/javascript" src="/js/mobile/photoswipe.js"></script>
<script type="text/javascript" src="/js/mobile/photoswipe-ui-default.js"></script>
<link rel="stylesheet" type="text/css" href="/css/mobile/photoswipe.css">
<link rel="stylesheet" type="text/css" href="/css/mobile/default-skin.css">
<input type="hidden" name="escort_id" id="escort_id" value="<?=$this->escort->id?>">
<!-- START: BIO -->
<div id="bio_container" >
	<div class="escort-info">
		<div id="model-bio" class="model-box add-box-shadow">
			<div class="model-box-container">
				<? if($this->photoCount > 0): ?>
					<div class="model-box-photo" onclick="openGallery()" style="background: url(<?=$this->escort->getMobileCover()->getUrl('m560', true)?>) center top no-repeat; background-size: cover;">
						<div class="model-box-photo-counter"><?php echo($this->photoCount . ' ' . $this->t('m_photos'))?></div>
						<div id="demo-test-gallery" class="demo-gallery">
							<div class="pswp" tabindex="-1" role="dialog" aria-hidden="true">
								<div class="pswp__bg"></div>
								<div class="pswp__scroll-wrap">
									<div class="pswp__container">
										<div class="pswp__item"></div>
										<div class="pswp__item"></div>
										<div class="pswp__item"></div>
									</div>
									<div class="pswp__ui pswp__ui--hidden">
										<div class="pswp__top-bar">
											<div class="pswp__counter"></div>
											<button class="pswp__button pswp__button--close" title="Close (Esc)"></button>
											<div class="pswp__preloader">
												<div class="pswp__preloader__icn">
													<div class="pswp__preloader__cut">
														<div class="pswp__preloader__donut"></div>
													</div>
												</div>
											</div>
										</div>
										<div class="pswp__share-modal pswp__share-modal--hidden pswp__single-tap">
											<div class="pswp__share-tooltip"></div>
										</div>
										<button class="pswp__button pswp__button--arrow--left" title="Previous (arrow left)">
										</button>
										<button class="pswp__button pswp__button--arrow--right" title="Next (arrow right)">
										</button>
										<div class="pswp__caption">
											<div class="pswp__caption__center"></div>
										</div>
									</div>
								</div>
							</div>

							<?php
								function calculate_resize($orig_width, $orig_height, $width = false, $height = false){
									if ($width && $orig_width > $orig_height)  $k = $orig_height / $orig_width;
									elseif ($height && $orig_width > $orig_height)  $k = $orig_width  / $orig_height;
									elseif ($width && $orig_width <= $orig_height)  $k = $orig_height / $orig_width;
									elseif ($height && $orig_width <= $orig_height) $k = $orig_width  / $orig_height;

									if ($height) {
										$width = $k * $height;
									}
									elseif ($width) {
										$height = $k * $width;
									}

									return array(
										'res_width' => round($width),
										'res_height' => round($height)
									);
								}
							?>

							<script type="text/javascript">
								function openGallery(){
									var pswpElement = document.querySelectorAll('.pswp')[0];
	                                var escort_id = $('#escort_id').val();
									var items = [
										<? $i = 1; foreach ($this->photos as $photo): ?>
										<?php $arr_sizes = calculate_resize( $photo->width, $photo->height, 560 ); ?>
										{
											src: '<?= $photo->getUrl('m560'); ?>',
											w: '<?=$arr_sizes['res_width']?>',
											h: '<?=$arr_sizes['res_height']?>'
										},
										<? $i++; endforeach; ?>
									];

									var options = {
										index: 0,
										bgOpacity: 0.8,
										mouseUsed: true
									};

									var gallery = new PhotoSwipe( pswpElement, PhotoSwipeUI_Default, items, options);
									gallery.init();
	                                $.ajax({
	                                    method: 'get',
	                                    url: '/index/photo-viewer?escort_id=' + escort_id,
	                                    success: function(resp) {
	                                       console.log(resp);
	                                    }
	                                });

								}
							</script>
						</div>
					</div>
				<? endif ?>

			</div>

            <?php if( $this->video ): ?>
                <div id="videoContainer"></div>
            <? endif; ?>
		</div>
		<div class="clear"></div>

		<!-- Alerts block redesigned -->

		<?php
			$current_user = Model_Users::getCurrent();
			$DEFINITIONS = Zend_Registry::get('defines');
		?>

        <? if($this->instant_book_data): ?>
            <span
                id="instant-book-btn"
                class="instant-book-btn"
                data-info='<?= json_encode($this->instant_book_data) ?>'><?= __('instant_book_book_now'); ?></span>
        <? endif; ?>

		<?php if ( !isset( $current_user ) ): ?>
			<div class="member-btns clearFloat">
				<a class="member-alerts btns" href="<?=$this->getLink('signin')?>"><?=__('alm_alert_me')?></a>
				<a class="member-favourites btns" href="<?=$this->getLink('signin')?>"><?=__('add_to_favourites')?></a>
			</div>
		<?php elseif( $current_user->isMember() ): ?>
			<div class="member-btns clearFloat">
				<div id="alm-b-a" class="member-alerts btns" onclick="show_alertme(); return false;">
					<a class="alm-btn-mm active"><?=__('alm_alert_me')?></a>
				</div>
				<? if ( in_array($this->escort->id, $this->escort->isInFavorites()) ):?>
					<a class="member-favourites btns __rem_fv"> <?= __('remove_from_favourites') ?> </a>
				<? else: ?>
					<a class="member-favourites btns __add_fv"> <?= __('add_to_favourites') ?> </a>
				<? endif; ?>		
			</div>
		<?php endif; ?>
		<div class="clear"></div>

		<!-- Alerts block redesigned -->
	
		<div class="info">
			<? if($about->ethnicity): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('ethnic') ?>: </div>
					<span class="dark"><?= @$DEFINITIONS['ethnic_options'][$about->ethnicity] ?></span>
				</div>
			<? endif; ?>

			<? if($about->{"nationality_title_" . $this->lang()}): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('nationality') ?>: </div>
					<span class="dark"><?= $about->{"nationality_title_" . $this->lang()} ?></span>
				</div>
			<? endif; ?>

			<? if ($about->birth_date): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('age') ?>: </div>
					<span class="dark"><?= $this->dateToAge($about->birth_date) ?></span>
				</div>
			<? endif; ?>

			<? if ($about->hair_length): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('eyes') ?>: </div>
					<span class="dark"><?= @$DEFINITIONS['eye_color_options'][$about->eye_color] ?></span>
				</div>
			<? endif; ?>

			<? if ($about->hair_color): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('hair') ?>: </div>
					<span class="dark"><?= @$DEFINITIONS['hair_color_options'][$about->hair_color] ?></span>
				</div>
			<? endif; ?>

			<? if ($about->hair_length): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('hair_length') ?>: </div>
					<span class="dark"><?= @$DEFINITIONS['hair_length_options'][$about->hair_length] ?></span>
				</div>
			<? endif; ?>
			
			<? if ($about->pubic_hair): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('pubic_hair') ?>: </div>
					<span class="dark"><?= @$DEFINITIONS['pubic_hair_options'][$about->pubic_hair] ?></span>
				</div>
			<? endif; ?>

			<? if ($about->tatoo): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('tattoo') ?>: </div>
					<span class="dark"><?= @$DEFINITIONS['tatoo_options'][$about->tatoo] ?></span>
				</div>
			<? endif; ?>

			<? if ($about->piercing): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('piercing') ?>: </div>
					<span class="dark"><?= @$DEFINITIONS['piercing_options'][$about->piercing] ?></span>
				</div>
			<? endif; ?>

			<? $system = Cubix_Application::getById()->measure_units ?>
			<? if ($about->height): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('height') ?>:</div>
					<div><?= $about->height ?> cm</div>
				</div>
			<? endif; ?>

			<? if ($about->weight): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('weight') ?>:</div>
					<div><?= $about->weight ?> kg</div>
				</div>
			<? endif; ?>

			<? if($about->bust): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t("bust-waist-hip") ?>: </div>
					<span class="dark"><?= $about->bust ? "{$about->bust}-{$about->waist}-{$about->hip}" : false ?></span>
				</div>
			<? endif; ?>

			<? if($about->breast_type): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('breast_type') ?>: </div>
					<span class="dark"><?= @$DEFINITIONS['breast_type_options'][$about->breast_type] ?></span>
				</div>
			<? endif ;?>

			<? if($about->cup_size): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('cup_size') ?>: </div>
					<span class="dark"><?= $about->cup_size ?></span>
				</div>
			<? endif ;?>

			<? if($about->shoe_size): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('shoe_size') ?>: </div>
					<span class="dark"><?= $about->shoe_size ?></span>
				</div>
			<? endif ;?>

			<? if($about->dress_size): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('dress_size') ?>: </div>
					<span class="dark"><?= $about->dress_size ?></span>
				</div>
			<? endif; ?>

			<? if(@$DEFINITIONS['y_n_oc_options'][$about->is_smoking]): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('smoker') ?>: </div>
					<span class="dark"><?= @$DEFINITIONS['y_n_oc_options'][$about->is_smoking] ?></span>
				</div>
			<? endif; ?>

			<? if(@$DEFINITIONS['y_n_oc_options'][$about->is_drinking]): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('drinking') ?>: </div>
					<span class="dark"><?= @$DEFINITIONS['y_n_oc_options'][$about->is_drinking] ?></span>
				</div>
			<? endif; ?>
			
			<? if ( count($this->escort->langs) > 0 ): ?>
				<? foreach ( $this->escort->langs as $lang ):?>
					<? $lang = (object) $lang; ?>
					<? $escort_langs = $escort_langs . (($escort_langs)? ', ' : '') . @$DEFINITIONS['language_options'][$lang->id]; ?>
				<? endforeach ?>
			<? endif; ?>

			<div class="bio-item">
				<div class="smallcaps"><?= $this->t('languages') ?>: </div>
				<span class="dark"><?= $escort_langs?></span>
			</div>

			<? if ( $about->incall_type || $about->outcall_type ): ?>
				<?
					$incall_types = array(
						'1' => 'private_apartment',
						'2' => 'hotel_room',
						'3' => 'club_studio',
						'4' => ''
					);
					$outcall_types = array(
						'1' => 'hotel_visits_only',
						'2' => 'home_visits_only',
						'3' => 'hotel_and_home_visits',
						'4' => ''
					);
				?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('available_for') ?>:</div>
					<div class="dark">
						<? if ( $about->incall_type ): ?>
							<span class="incall">
								<?= $this->t('incall_services'); ?><?= ($about->incall_type != 4) ? ': ' . $this->t($incall_types[$this->about->incall_type]) : ( ($about->incall_other) ? ': ' . $about->incall_other : '') ?>
							</span>
						<? endif ?>
						<? if ( $about->outcall_type ): ?>
							<span class="outcall">
								<?= $this->t('outcall_services') ?><?= ($about->outcall_type != 4) ? ': ' . $this->t($outcall_types[$about->outcall_type]) : ( ($about->outcall_other) ? ': ' . $about->outcall_other : '') ?>
							</span>
						<? endif; ?>
					</div>
				</div>
			<? endif; ?>

			<? if ( $about->sex_orientation ): ?>
				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('orientation') ?>: </div>
					<span class="dark"><?= @$DEFINITIONS['sexual_orientation_options'][$about->sex_orientation]; ?></span>
				</div>
			<? endif; ?>

			<? if ( $about->sex_availability ): ?>
				<div class="bio-item">
					<? $service_avail_for = explode(',', $about->sex_availability) ?>
						<div class="smallcaps"><?= $this->t('service_for') ?>:</div>
						<? foreach($service_avail_for as $for): ?>
							<?
								$width = '12';
								if ( $for == 'women' ) {
									$width = '9';
								}
								else if ( $for == 'plus2' ) {
									$width = '11';
								}
								else if ( $for == 'trans' ) {
									$width = '10';
								}
								else if ( $for == 'trans' ) {
									$width = '10';
								}
								else if ( $for == 'gays' ) {
									$width = '19';
								}
							?>

							<div class="dark"><?= @$DEFINITIONS['sex_availability_options'][$for] ?>		
								<img src="<?= _st('icon_' . $for . '.gif') ?>" width="<?= $width ?>" height="12" alt="<?= $this->DEFINITIONS['sex_availability_options'][$for] ?>" />
							</div>
						<? endforeach ?>
				</div>
			<? endif; ?>

			<div class="clear"></div>
		</div>
	</div>
	
	<?php if ( strlen($about->{'about_' . $this->lang()}) ): ?>
		<div id="about_container" class="escort-info">
			<div class="smallcaps"><?= __('about_me') ?>: </div>
			<span class="dark"><?= str_replace('_____', '_', $about->{'about_' . $this->lang()})   ?></span>

			<p id="seo-escort-city"><?= __('escort')?> <?= $this->escort->{'city_title_' . $this->lang()} ?></p>

		</div>
	<?php else: ?>
		<div id="about_container" class="escort-info">
			<div class="smallcaps"><?= str_replace('_____', '_', $about->{'about_' . $this->lang()})   ?>: </div>
			<span class="dark"><?= __('escort') ?> <?= $this->escort->{'city_title_' . $this->lang()} ?></span>
		</div>
	<?php endif; ?>
</div>
<!-- END: BIO -->

<div class="clear"></div>

<!-- START: TOURS -->
<? if ( $this->has_package ): ?>
	<div id="tours_container" class="none">
		<? $tours = $this->tours;?>
		<? if( $tours ): ?>
			<? if ( count($tours['current']) > 0 && is_array($tours['current']) ): $tour = $tours['current'][0];?>
				<div class="escort-info">
					<div>
						<div class="head w41">
							<span class="icon"><?= __('tours') ?></span>
						</div>
					</div>
					<div>
						<div><?= $this->t('girl_is_on_tour_in') ?> <span class="blue"> <?= $tour->city_title ?> </span> </div>
					</div>
					<div>
						<div>
							<div class="smallcaps"><?= $this->t('date') ?>:</div>
                            <?php /* <span class="dark">= date("F d, Y", strtotime($tour->date_from)) ?> - <?= date("F d, Y", strtotime($tour->date_to))</span> */?>

							<span class="dark">
                                <? if($tour->minutes_from): ?>
                                    <?= $this->getMonth(date("n", $tour->date_from ),$this->lang(), $tour->date_from )." ".date('d Y , H:i', ( $tour->date_from + intval($tour->minutes_from) * 60 )) ?> -</br>
                                    <?= $this->getMonth(date("n", $tour->date_to ),$this->lang(), $tour->date_to )." ".date('d Y , H:i', ( $tour->date_to + intval($tour->minutes_to) * 60 )) ?>
                                <? else: ?>
                                    <?= $this->getMonth(date("n", $tour->date_from ),$this->lang(), $tour->date_from )." ".date('d Y', $tour->date_from ) ?> -
                                    <?= $this->getMonth(date("n", $tour->date_to), $this->lang(), $tour->date_to)." ".date('d Y', $tour->date_to) ?>
                                <? endif; ?>
                            </span>
						</div>
					</div>

					<? if ( $tour->phone ): ?>
						<div>
							<div class="smallcaps"><?= $this->t('tour_phone') ?>:</div>
							<span class="dark"><?= $tour->phone ?></span>
						</div>
					<? endif;?>

					<div>
						<div class="smallcaps"><?= $this->t('status') ?>: </div>
                        <? $u_days = getDaysInBetween(time(), $tour->date_from); ?>
						<span class="dark"> <?= $this->t('i_am_right_now_on_tour') ?>. (<?= ( getDaysInBetween($tour->date_to, time(),true) > 0 ) ? getDaysInBetween($tour->date_to, time(),true) . ' ' . __('more_days') : __('today_last_day') ?>)</span>
					</div>
				</div>
			<? endif ?>

			<? if ( count($tours['upcoming']) > 0 && is_array($tours['upcoming']) ): ?>
				<div class="escort-info">
					<div>
						<? foreach ( $tours['upcoming'] as $i => $tour ): ?>
                            <div>
                                <div class="head">
                                    <span class="icon"><?= __('upcoming_tours') ?></span>
                                </div>
                            </div>
                            <div>
                                <div class="smallcaps"> <?= __('visiting') ?>:</div>
                                <span class="blue"><?= $tour->city_title ?></span>
                            </div>
                            <div>
                                <div class="smallcaps"><?= $this->t('date') ?>:</div>
                                <?php /* <span class="dark"><?= date("F d, Y", strtotime($tour->date_from)) ?> - <?= date("F d, Y", strtotime($tour->date_to)) ?></span> */ ?>
                                <span class="dark">
                                    <? if($tour->minutes_from): ?>
                                        <?= $this->getMonth(date("n", $tour->date_from),$this->lang(), $tour->date_from)." ".date('d Y , H:i', ( $tour->date_from + intval($tour->minutes_from) * 60 )) ?> -</br>
                                        <?= $this->getMonth(date("n", $tour->date_to), $this->lang(), $tour->date_to)." ".date('d Y , H:i', ($tour->date_to + intval($tour->minutes_to) * 60 )) ?>
                                    <? else: ?>
                                        <? //if ($this->escort->id == 3158){var_dump(date('d M Y ,H : i',$tour->date_from)); } ?>
                                        <?= $this->getMonth(date("n", $tour->date_from ),$this->lang(), $tour->date_from)." ".date('d Y', $tour->date_from) ?> -
                                        <?= $this->getMonth(date("n", ( $tour->date_to )),$this->lang(), $tour->date_to)." ".date('d Y', ($tour->date_to )) ?>
                                    <? endif; ?>
                                </span>
                            </div>
                            <div>
                                <div class="smallcaps"><?= $this->t('tour_phone') ?>:</div>
                                <span class="dark"><?= $tour->phone ?></span>
                            </div>
                            <div>
                                <div class="smallcaps"><?= __('status') ?>:</div>
                                <? $u_days = getDaysInBetween(time(), $tour->date_from); ?>
                                <span><?= __('i_am_coming_soon_to_tour') ?>. (<?= ($u_days > 1) ? $u_days . ' ' . __('days') : __('tomorrow') ?>)</span>
						</div>
						<? endforeach ?>
					</div>
				</div>
			<? endif ?>
		<? else: ?>
			<span class="dark"><?= __('no_tours_found') ?></span>
		<? endif ?>
	</div>
<? endif; ?>
<!-- END: TOURS -->

<div class="clear"></div>

<!-- START: CONTACTS -->
<? if ( $this->has_package ): ?>
	<div id="contacts_container" class="none">
	
		<? $contacts = $this->contacts;
		$additional_cities = $this->additional_cities;
		$zones = $this->zones; ?>

		<? if($this->message): ?>
			<p class="green"><?= $this->message?></p>
		<? endif; ?>

		<div class="escort-info">								
			<div class="info">
		        <div class="bio-item">
		            <div class="smallcaps mt0"><?= __('base_city') ?>:</div>
					<?= ($contacts->zip) ? $contacts->zip . ' ' : '' ?>
					<span class="dark">
						<a href="<?= $this->getLink('escorts', array('city' => $contacts->country_iso . '_' . $contacts->city_slug, 'filter' => null, 'page' => null)) ?>" class="bold" title="<?= $contacts->{'base_city_' . $this->lang()} ?> <?= $this->t('escorts') ?>">
							<?= $contacts->{'base_city_' . $this->lang()} ?>
						</a>
					</span>
				</div>

				<div class="clear"></div>
                <?php
                    if(!is_null($this->location['location_lat']) && !is_null($this->location['location_lng']) && !empty($this->location['location_lng']) && !empty($this->location['location_lat'])){
                        ?>
                        <script type="text/javascript">

                            ymaps.ready(init);

                            function init() {

                                var location_lat = '<?=$this->location['location_lat']?>';
                                var location_lng = '<?=$this->location['location_lng']?>';
                                var location_address_string = '<?=$this->location['location_map_address']?>';

                                var myMap = new ymaps.Map("yandex-map", {

                                    center: [location_lat, location_lng],
                                    zoom: 15
                                });

                                myMap.geoObjects
                                    .add(new ymaps.Placemark([location_lat, location_lng], {
                                        balloonContent: location_address_string
                                    }, {
                                        preset: 'islands#icon',
                                        iconColor: '#0095b6'
                                    }));
                            }

                        </script>
                        <div class="bio-item">
                            <div class="smallcaps"><?= __('location_on_map') ?>:</div>
                            <div class="location_map">
                                <div id="yandex-map"  style="width: 100%; height: 200px;"></div>

                            </div>
                        </div>
                        <div class="clear"></div>
                        <?php
                    }
                        ?>



				<div class="bio-item">
					<? if ( count($additional_cities) > 0 ): ?>
						<div class="smallcaps"><?= __('available_in') ?>:</div>
						<span class="dark">
							<? foreach($additional_cities as $k => $add_city): $seo_cities[] = $add_city->city_title ?>
								<a href="<?= $this->getLink('escorts', array('city' => $add_city->country_iso . '_' . $add_city->city_slug, 'filter' => null, 'page' => null)) ?>"><?= $add_city->city_title ?></a><?php if($k + 1 != count($additional_cities)): ?>,&nbsp;<?php endif;?>
							<? endforeach; ?>
						</span>
					<? endif ?>
				</div>

				<div class="clear"></div>

				<? if ( count($zones) > 0 ): ?>
					<div class="bio-item">
						<div class="smallcaps"><?= __('cityzones') ?>:</div>
						<span class="dark">
							<? foreach($zones as $k => $zone): ?>
								<a href="<?= $this->getLink('escorts', array('zone' => $zone->country_iso . '_' . $zone->zone_slug, 'filter' => null, 'page' => null)) ?>"><?= $zone->zone_title ?></a><?php if($k + 1 != count($zones)): ?>,&nbsp;<?php endif;?>
							<? endforeach; ?>
						</span>
					</div>
				<? endif ?>

				<div class="clear"></div>
				<? if ( $contacts->club_name ): ?>
					<div class="bio-item">
						<div class="smallcaps"><?= $this->t('club_name') ?>:</div>
						<span class="dark"><?= $contacts->club_name ?></span>
					</div>
				<? endif ?>
				
				<div class="clear"></div>

				<? if ( $contacts->street && $contacts->street_no ): ?>
					<div class="bio-item">
						<div class="smallcaps"></div>
						<span class="dark"><?= $contacts->street ?>, <?= $contacts->street_no ?></span>
					</div>
				<? endif; ?>

				<div class="clear"></div>
				<? if(!$this->video_chat_prices): ?>
					<? $filtered_phone =  (isset($contacts->phone_country_id) && !$contacts->disable_phone_prefix) ? '+'.Model_Countries::getPhonePrefixById($contacts->phone_country_id) . $contacts->phone_number : $contacts->phone_number; ?>
					<?  $viber_phone =  (isset($contacts->phone_country_id) && !$contacts->disable_phone_prefix) ? Model_Countries::getPhonePrefixById($contacts->phone_country_id) . $contacts->phone_number : $contacts->phone_number; ?>
					<?php 
					$has_viber= $this->phone_apps->viber;
					$has_whatsapp = $this->phone_apps->whatsapp;
					$has_telegram = $this->phone_apps->telegram;
					?>
					<? if ( $contacts->phone_number ): ?>
						<div class="bio-item">
							<div class="smallcaps"><?= $this->t('phone')?></div>
							<a href="tel:<?= $filtered_phone ?>" class="available_apps_link">
								<span class="dark"><?= $filtered_phone?></span>
							</a>	
						</div>
						<div class="bio-item">
							<div class="smallcaps">Available apps</div>	
							<?php if ($has_viber): ?>
								<a href="viber://chat?number=%2B<?= $viber_phone ?>" class="available_apps_link">
									<span class="icon--viber"></span>
								</a>
							<?php endif; ?>
							<?php if ($has_whatsapp): ?>
								<a href="https://wa.me/<?= str_replace('+', '', $filtered_phone) ?>" class="available_apps_link">
									<span class="icon--whatsapp"></span>
								</a>
							<?php endif; ?>
                            <?php if ($has_telegram): ?>
                                <a href="#" class="available_apps_link">
                                    <span class="icon--telegram"></span>
                                </a>
                            <?php endif; ?>
						</div>
					<? endif; ?>

					<div class="clear"></div>

					<? if ( $contacts->phone_number_alt ): ?>
						<div class="bio-item">
							<div class="smallcaps"><?= $this->t('phone_alternative')?></div>
							<span class="dark"><?= $contacts->phone_number_alt ?></span>
						</div>
					<? endif; ?>

					<? $filtered_phone1 =  (isset($this->add_phones->phone_country_id_1) && !$this->add_phones->disable_phone_prefix_1) ? '+'.Model_Countries::getPhonePrefixById($this->add_phones->phone_country_id_1) . $this->add_phones->phone_additional_1 : $this->add_phones->phone_additional_1;  ?>
					<? if ( $filtered_phone1 ): ?>
						<div class="bio-item">
							<div class="smallcaps"><?= $this->t('phone_alternative')?></div>
							<span class="dark"><?= $filtered_phone1 ?></span>
						</div>
					<? endif; ?>

					<div class="clear"></div>

					<? $filtered_phone2 =  (isset($this->add_phones->phone_country_id_2) && !$this->add_phones->disable_phone_prefix_2) ? '+'.Model_Countries::getPhonePrefixById($this->add_phones->phone_country_id_2) . $this->add_phones->phone_additional_2 : $this->add_phones->phone_additional_2;  ?>
					<? if ( $filtered_phone2 ): ?>
						<div class="bio-item">
							<div class="smallcaps"><?= $this->t('phone_alternative')?></div>
							<span class="dark"><?= $filtered_phone2 ?></span>
						</div>
					<? endif; ?>

					<div class="clear"></div>
					
					<? if ( $contacts->phone_instr || $contacts->phone_instr_no_withheld): ?>
					<?
						$phone_instr = array(
							'1' => 'sms_and_call',
							'2' => 'sms_only',
							'3' => 'no_sms'
						);

						$instr = '';

						if ( $contacts->phone_instr ) {
							$instr = $this->t($phone_instr[$contacts->phone_instr]);
						}

						if ( $contacts->phone_instr_no_withheld  ) {
	                        if($instr == ''){
	                            $instr .= $this->t('phone_instr_no_withheld');
	                        }else{
	                            $instr .= ", " . $this->t('phone_instr_no_withheld');
	                        }
						}
					?>
					<div class="bio-item">
						<div class="smallcaps"><?= $this->t('phone_instructions')?>: </div>
						<span class="dark"><?= $instr ?></span>
					</div>
					
					<? endif; ?>

					<div class="clear"></div>

					<? if ( $contacts->phone_instructions_other ): ?>
						<div class="bio-item">
							<div class="smallcaps"><?= $this->t('phone_instructions_other') ?></div>
							<span class="dark"><?= $contacts->phone_instr_other ?></span>
						</div>
					<? endif; ?>

					<div class="clear"></div>
				<? endif; ?>
					
	            <? if ($contacts->email): ?>
					<div class="bio-item">
						<div class="smallcaps"><?= $this->t('email') ?>:</div>
						<a class="smallcaps contact-me"><?= $this->t('contact_me');?></a>
					</div>
				<? endif ?>

				<div class="clear"></div>

				

                <div class="bio-item wep-personal"></div>

				<div class="clear"></div>

				<? $work_times = $this->work_times; ?>

				<? if ( $work_times['available_24_7'] ): ?>
					<div class="bio-item">
			            <div class="smallcaps"><?= $this->t('working_time') ?></div>
						<span class="dark"><?= __('wt_24_7_text') ?></span>
					</div>
				<? endif;?>

                <? $agency_web = $this->escort->getAgencyWeb(); $has_web = false; ?>

                <? if (!$agency_web->a_block_website): ?>
                    <? if($this->check_website && $this->contacts->website): ?>
                        <? $has_web = true; ?>
                        <div class="bio-item">
                            <div class="smallcaps"><?= $this->t('web') ?></div>
                            <span class="dark">
                                <?php if( $this->contacts->website ): ?>
                                    <?
                                        $link = $this->contacts->website;
                                        if ( ! preg_match('#^http(s)?://#', $link) ) $link = 'http://' . $link;
                                    ?>
                                    <a href="<?= $link ?>" target="_blank" rel="nofollow">
                                        <?=preg_replace('#^https?://#', '', $this->contacts->website )?>
                                    </a>
                                <?php else: ?>
                                    -
                                <?php endif; ?>
                            </span>
                        </div>
                    <? else: ?>

                        <? if ($agency_web->a_web): ?>
                            <? $has_web = true; ?>
                        <? endif; ?>

                        <div class="bio-item">
                            <div class="smallcaps"><?= $this->t('web') ?></div>
                            <span class="dark">
                                <?php if( $agency_web->a_web ): ?>
                                    <?
                                    $link = $agency_web->a_web;
                                    if ( ! preg_match('#^http(s)?://#', $link) ) $link = 'http://' . $link;
                                    ?>
                                    <a href="<?=$link ?>" target="_blank" rel="nofollow">
                                        <?=preg_replace('#^https?://#', '', $agency_web->a_web )?>
                                    </a>
                                <?php else: ?>
                                    -
                                <?php endif; ?>
                            </span>
                        </div>
                    <? endif; ?>
                <? endif; ?>

				<? if ( $work_times['working_times'] && ! $work_times['available_24_7'] ): ?>
					<div class="bio-item open-status">
			            <div class="smallcaps"><?= $this->t('working_time') ?>:</div>
				        
				        <? if ( $this->escort->getIsNowOpen() ): ?>
							<span class="now-open"><?= $this->t('now_open'); ?></span>
						<? else: ?>
							<span class="closed"><?= $this->t('closed'); ?></span>
						<? endif ?>
					</div>
				    <div class="bio-item z-shadow">
				    	<table class="schedule" cellpadding="0" cellspacing="0">
					    	<? ksort($work_times['working_times']); foreach($work_times['working_times'] as $k => $wt): $wt = (object) $wt ?>
					    		<?=( $k == date('N') ) ? '<tr class="today">' : '<tr>' ?>

									<th class="dark"><?= $this->getWeekDay($k, $this->lang()); ?></th>
									<td class="dark"><?= ($wt->from < 10) ? '0' . $wt->from : $wt->from ?>:<?= ($wt->from_m < 10) ? '0' . $wt->from_m : $wt->from_m ?> - <?= ($wt->to < 10) ? '0' . $wt->to : $wt->to ?>:<?= ($wt->to_m < 10) ? '0' . $wt->to_m : $wt->to_m ?></td>
								</tr>
							<? endforeach;?>
						</table>
					</div>
				<? endif ?>

				<div class="clear"></div>

				<div class="bio-item">
					<div class="smallcaps"><?= $this->t('private_message')?>: </div>
					<span class="private-messanger" data-id="<?=$this->escort->id?>" data-type="<?=$this->escort->type?>"> <?= $this->t('send_pm')?> </span>
				</div>

				<div class="clear"></div>

				<div id="private-message-wrapper">
					<div id="private-message-block">
					</div>
				</div>

				<div class="clear"></div>
			</div>
		</div>
	</div>
<? endif; ?>
<!-- END: CONTACTS -->

<div class="clear"></div>
<div id="services_container" class="none">
    <?php

    if(count($services) > 0 && is_array($services) && $services[0]->service_id):
        ?>
        <table class="info services" cellpadding="0" cellspacing="0">
            <tbody>

            <?
            $serviceCounts = ['others' => 0, 'virtual' => 0];
            foreach ($services as $i => $service) {
                if (isset($DEFINITIONS['services']['virtual'][$service->service_id])) {
                    $serviceCounts['virtual']++;
                } else {
                    $serviceCounts['others']++;
                }
            }
            ?>

            <? if ($serviceCounts['virtual'] > 0): ?>
                <tr class="service-title service-title__virtual">
                    <td><?= __('virtual_services') ?></td>
                </tr>
            <? endif; ?>

            <? if ($serviceCounts['others'] > 0): ?>
                <tr class="service-title service-title__common">
                    <td><?= __('pv2_title_most_common_services') ?></td>
                </tr>
            <? endif; ?>

            <?

            foreach ( $services as $i => $service ):
                if($service->service_id):
                    ?>
                    <tr class="service-item service-<?= $service->service_id ?>">
                        <td class="checked" >
                            <div class="checked">
                                <? $service = (object) $service ?>
                                <?= @$DEFINITIONS['services']['common'][$service->service_id] ?>
                                <?= @$DEFINITIONS['services']['extra'][$service->service_id] ?>
                                <?= @$DEFINITIONS['services']['fetish'][$service->service_id] ?>
                                <?= @$DEFINITIONS['services']['virtual'][$service->service_id] ?>
                                <? if ( $service->price ): ?>
                                    <span><?= __('services_extra_charge') ?> <?= $service->price ?> EUR</span>
                                <? endif; ?>
                            </div>
                        </td>
                    </tr>
                <? endif; ?>
            <? endforeach; ?>
            <? $add_services = $this->escort->getAdditionalServices(); ?>
            <? if ( strlen($add_services->{'additional_service_' . $this->lang()}) > 0 ): ?>
                <tr>
                    <td>
                        <b><?= $this->t('additional') ?>:</b>

                        <?= $add_services->{'additional_service_' . $this->lang()} ?>
                    </td>
                </tr>
            <? endif; ?>



            </tbody>
        </table>

    <? else: ?>
        <p>  <?= __('no_services_found') ?></p>
    <? endif; ?>
</div>

<div class="clear"></div>

<div id="rates_container" class="none">
    <? if ( count($rates) > 0 && is_array($rates) ):
        ?>
        <? foreach ( $rates as $k => $rate ): ?>
        <table class="info">
            <tr><td colspan="2" class="head"><?= $DEFINITIONS['available_for'][$k] ?></td></tr>
            <? foreach($rate as $r): ?>
                <tr>
                    <td class="w32">
                        <? if ( ! $r->type ): ?>
                            <?= $r->time ?>
                        <? else: ?>
                            <?= $this->t($r->type) ?>
                        <? endif; ?>
                        <?= ( ! $r->type ) ? ' ' . $r->time_unit_title : '' ?>:</td>
                    <th><?= number_format($r->price, 2) ?> <?= $r->currency_title ?></th>
                </tr>
            <? endforeach;?>
        </table>
    <? endforeach;?>
        <div class="clear"></div>
    <? else: ?>
        <p>
            <?= __('no_rates_found') ?>
        </p>
    <? endif ?>
</div>
<div class="clear"></div>

<!-- START: REVIEWS & COMMENTS -->
<?php
    $disabled_rev = (isset($this->escort->disabled_reviews) &&  $this->escort->disabled_reviews == 1) ? true : false;
    $disabled_comm = (isset($this->escort->disabled_comments) &&  $this->escort->disabled_comments == 1) ? true : false;
    $toggle_rev_comm = false;
?>

<?php //if( !$disabled_rev || !$disabled_comm ): ?>
    <div id="reviews_comments_container" class="escort-info none">

        <?php /* if ($disabled_rev || $this->rev_count < 1 ): ?>
            <span id="reviews-tab" ><?= __('reviews') ?> (0)</span>
        <?php else: */ ?>
            <a href = "javascript:void(0)" id="reviews-tab" class="<?php if(!$toggle_rev_comm){ echo('tapped'); $toggle_rev_comm = true; } ?>" onclick="toggleTabs($(this))"><?= __('reviews') ?> (<span id="review-number"><?= $this->rev_count ?></span>)</a>
        <?php // endif; ?>

        <?php /* if ($disabled_comm || count( $this->comments ) < 1 ): ?>
            <span id="comments-tab" ><?= __('comments') ?> (0)</span>
        <?php else: */ ?>
            <? $comm_count = 0; ?>
            <? foreach ( $this->comments as $comment ): ?>
                <? $comm_count += 1; ?>
            <? endforeach; ?>
            <a href = "javascript:void(0)" id="comments-tab" class="<?php if(!$toggle_rev_comm){ echo('tapped'); } ?>" onclick="toggleTabs($(this))"><?= __('comments') ?> (<?= ( $comm_count ) ? $comm_count : 0 ?>)</a>
        <? // endif; ?>

        <div class="clear"></div>

        <div id="comments" class="<?php if($toggle_rev_comm){ echo('none'); } ?>">
            <? if ( $comm_count && !$disabled_comm ):	?>
                <? foreach ( $this->comments as $comment ): ?>
                    <div class="user-avatar">
                        <span class="avatar-container">
                            <!-- <img src="#" /> -->
                        </span>
                    </div>
                    <div class="comment parent" style="padding-left: 0px;">
                        <div class="nickname">
                            <span class="strong"><?=  $comment->username ?></span>
                        </div>
                        <? if ($comment['status'] == COMMENT_ACTIVE): ?>
                            <div class="comment-text" ><?= $comment['message1'] ?>
                                <?php
                                if ( $comment['message2'] ):
                                ?>
                                <!-- <a href="#" onclick="show(<?= $comment->id; ?>, this); return false;" class="comment-more"> ... more</a> -->
                                <?php endif; ?>

                            </div>
                        <? else: ?>
                            <div class="comment-text red"><?= $this->t('comment_remove_note') ?></div>
                        <? endif; ?>
                    <span class="comment-info"><?= date("d M Y, H:i", strtotime($comment->time)); ?>, <?= $comment->comments_count ?> <?= __('comments') ?></span>
                    <div class="clear"></div>
                    </div>
                <? endforeach; ?>
            <? endif; ?>

            <? if ( count( $this->comments ) == 0 && !$disabled_comm ):	?>
                <p class="not-found"><?=$this->escort->showname?> has no comments</p>
            <? endif; ?>

            <? if ( $disabled_comm ): ?>
                <p class="not-found-err">Comments are disabled !</p>
            <? endif; ?>

            <div class="clear"></div>
        </div>

        <div class="clear"></div>
        <?php
        if ( Cubix_I18n::getLang() != Cubix_Application::getDefaultLang() ) {
            $lang = '/' . Cubix_I18n::getLang();
        } else {
            $lang = '';
        }
        ?>
        <div id="reviews" class="<?= (!$toggle_rev_comm) ? 'none' : ''; ?>">
            <? if( ( $this->rev_count ) && !$disabled_rev ) : ?>
                <?php $intCount = 1; ?>
                <? foreach ($this->reviews as $review): ?>

                        <div class="user-avatar">
                            <span class="avatar-container">
                                <!-- <img src="#" /> -->
                            </span>
                        </div>


                        <div class="comment parent" >
                            <div class="nickname">
                                <span class="strong"><?= $review->username ?></span>
                                <span class="rev-stars" style="width: auto;" title="<?= $this->review->looks_rating ?>"><img src="<?= _st('reviews/faces_' . $review->looks_rating . '.png') ?>" /></span>
                            </div>
                            <span class="smallcaps"><?= __('pv2_label_date_of_the_meeting') ?>:</span>
                            <div class="comment-info"><?= date("d.m.Y", $review->meeting_date) ?></div>

                        <a href="<?= $this->getLink('escort-reviews', array('showname' => $this->escort->showname, 'escort_id' => $this->escort->id, 'r_id' => $review->id)) ?>"
                           class="caps-btn smallcaps bold read-review" id="<?=$review->id?>"
                           <?php /* onclick="MEscorts.Reviews.getReviewById(this,'<?= $lang ?>','<?= $this->escort->showname ?>',<?= $this->escort->id ?>)" */ ?>><?php /* &#9658; */ ?> <?= __('read_this_review') ?></a>
                        <div class="comment-text slidable" id="slidable-<?=$review->id?>" ></div>
                        </div>
                        <div class="clear"></div>
                        <?php $intCount += 1; ?>
                <? endforeach; ?>

            <? endif; ?>

            <? if ( $this->rev_count == 0 && !$disabled_rev ): ?>
                <p class="not-found"><?=$this->escort->showname?> has no reviews</p>
            <? endif; ?>

            <? if ( $disabled_rev ): ?>
                <p class="not-found-err">Reviews are disabled !</p>
            <? endif; ?>
        </div>
            <?php if ($this->rev_count > $this->rev_page_count): ?>
                <a href="javascript:void(0)" class="more" id="load-more" data-page="2">...</a>
            <?php endif; ?>
        <div class="clear"></div>
    </div>
<?php //endif; ?>

<?php
    $user = Model_Users::getCurrent();
    $registered = ( $user ) ? true : false;
    $is_member = false;
    $ignore = false;

    if( $registered ){
        $is_member = $user->isMember();

        if( !$user->isMember() ){
            $ignore = true;
        }
    }
?>

<?php if( !$ignore ): ?>
    <?php if( !$disabled_rev ): ?>
        <div id="addRev" class="animated slideInUp none">
            <a href="<?= $this->getLink('add-review', array('escort_id' => $this->escort->id)); ?>"><?= __('add_review'); ?></a>
        </div>
    <?php endif; ?>

    <?php if( !$disabled_comm ): ?>
        <div id="addComm" class="animated slideInUp none">
            <a href="javascript:void(0)"><?= __('add_comments'); ?></a>
        </div>
    <?php endif; ?>
<?php endif; ?>

<? $display = false; foreach ( $this->services as $service ) if ( $service->service_id ) { $display = true; break; } ?>
<!-- END: REVIEWS & COMMENTS -->

<?= $this->render('escorts/alert-me-popup.phtml') ?>
<script>
	$(document).ready(function(){
		MCubix.Members.ProfileButtons.init();
	});

	MCubix.Members.ProfileButtons = {
		init: function(){
			if( this.isMember() ){
				this.addToFavourite();
			}
		},

		isMember: function(){
			<?php if( $current_user ): ?>
				return +('<?=$current_user->isMember()?>');
			<?php else: ?>
				return 0;
			<?php endif; ?>
		},

		addToFavourite: function(){
			var self = this,
				__fv_btn = $('.member-favourites');

			if( __fv_btn.length ){
				__fv_btn.on('click', function(){
					var __url, __data, __class;
					$(this).addClass('in-loading');

					if( $(this).hasClass('__rem_fv') ){
						__data = { user_id: "<?=$current_user->id?>", escort_id: "<?=$this->escort->id?>", type: 'ajax' };
						__url = '<?=$this->getLink("mob-remove-from-favorites")?>';
					} else if( $(this).hasClass('__add_fv') ){
						__data = { user_id: "<?=$current_user->id?>", escort_id: "<?=$this->escort->id?>" };
						__url = '<?=$this->getLink("mob-add-to-favorites")?>';
					} else return false;

					//console.log( __url ); return false;

					$.ajax({
						url: __url,
						method: 'get',
						data: __data,
						beforeSend: function(){

						},
						success: function( resp ){
							var __resp = jQuery.parseJSON( resp );

							__fv_btn.removeClass('in-loading');
							if( __resp.process == 2 ){
								MCubix.OverlayV2.message({
									message: '<?=__("escort_removed_from_favorites", array('showname' => $this->escort->showname ))?>',
									status: 'success',
									callback: self.changeBtn,
									callback_variable: false
								})
							} else if( __resp.process == 1 ){
								MCubix.OverlayV2.message({
									message: '<?=__("escort_added_to_favorites", array('showname' => $this->escort->showname ))?>',
									status: 'success',
									callback: self.changeBtn,
									callback_variable: true
								})
							} else {
								MCubix.OverlayV2.message({
									message: '<?=__("mob_system_error")?>',
									status: 'warning'
								})
							}
						}
					})
				});
			}
		},

		changeBtn: function( status ){
			var f_btn = $('.member-favourites');

			if( status ){
				f_btn.removeClass('__add_fv').addClass('__rem_fv').html('<?=__('remove_from_favourites')?>')
			} else {
				f_btn.removeClass('__rem_fv').addClass('__add_fv').html('<?=__('add_to_favourites')?>');
			}

		}
	}
</script>

<script type="text/javascript">
    window.hasServices = <?= ($display) ? 1 : 0 ?>;
    window.hasRates = <?= (count($this->rates) ) ? 1 : 0 ?>;

	$(document).ready(function(){
		<?php if ($this->rev_count): ?>
			MEscorts.Reviews.setCount(<?= $this->rev_count ?>);
		<?php endif; ?>
		MEscorts.Reviews.init("<?= $lang ?>","<?= $this->escort->showname ?>",<?= $this->escort->id ?>);
		Private.Message.init("<?= $this->escort->showname ?>",<?= $this->escort->id ?>);
		MEscorts.Profile.init();
        MEscorts.WriteMe.init();
		MEscorts.Reviews.read_review = "<?= __('read_this_review') ?>";
		MEscorts.Reviews.close_review = "<?= __('close_this_review') ?>";
		MPage.Sticky.init();

        <?php if( $this->video ): ?>
            loadVideo();
        <? endif; ?>
        MEscorts.WriteMe.getPersonalWebsite();
        MEscorts.Reviews.addProcess();
	});

	MEscorts.WriteMe = {
	    init: function(){
            this.sendRequest();
        },

        sendRequest: function(){
            var wrapper = $('.contact-me'),
                escort_id = parseInt( $('#escort_id').val() );

            if( !escort_id ) return false;

            wrapper.on('click', function(e){
                e.preventDefault();

                $.ajax({
                    method: "GET",
                    url: '<?=$this->getLink("feedback")?>',
                    data: { to: escort_id, ajax: 1 },
                    beforeSend: function(){
                        MCubix.OverlayV2.init(true);
                    },
                    success: function( resp ){
                        MCubix.OverlayV2.init(false);

                        MCubix.Popup.init( true, {
                            content: resp,
                            centered: true,
                            css: {
                                padding: 20,
                                background: '#fff',
                                width: '260px'
                            },
                            closing: true
                        }, MEscorts.WriteMe.sendMessage, escort_id );
                        /* block.html(resp);

                        $('html, body').animate({
                            scrollTop: block.offset().top
                        }, 2000);

                        self.sendMessage( escort_id ); */
                    }
                });
            });
        },

        getPersonalWebsite: function(){
            if ( $('.wep-personal').length ){
                $.ajax({
                    url: '<?=$this->langJs()?>' + '/escorts/ajax-get-personal-site?escort_id=' + "<?=$this->escort->id?>" + '&has_rates=' + window.hasRates + '&has_services=' + window.hasServices,
                    method: 'get',
                    success: function( resp ){
                        if ( resp.length ) {
                            $('.wep-personal').html( resp );
                        }
                    }
                })
            }
        },

        sendMessage: function( escort_id ){
            var sendButton = $('.red-btn');

            sendButton.on('click', function(e){
                e.preventDefault();

                var data = {
                    'name' : $('.textinput.f-n').val(),
                    'email' : $('.textinput.f-e').val(),
                    'message' : $('.textareainput.f-m').val(),
                    'captcha' : $('#f-captcha').val(),
                    'to': escort_id,
                    'ajax': 1
                };

                $.ajax({
                    method: "POST",
                    url: '<?=$this->getLink("feedback")?>',
                    data: data,
                    beforeSend: function(){
                        $('#feedbackTo').addClass('unactive');
                    },
                    success: function(_resp){
                        var resp = jQuery.parseJSON(_resp);
                        $('#feedbackTo').removeClass('unactive');

                        $('.__error').removeClass('__error');

                        if( resp.status === "error" ){
                            for( var i in resp.msgs ){
                                $('[name="' + i + '"]').addClass('__error');
                            }
                        } else {
                            MCubix.Popup.currentClose();
                        }
                    }
                });
            })
        }
    };

	MEscorts.Reviews.addProcess = function(){
	    var btn = $('#addRev > a'),
            is_logged = !!('<?=$registered?>'),
            is_member = !!('<?=$is_member?>');

	    btn.on('click', function(e){
	        e.preventDefault();

            if( is_logged ){
                if( is_member ){
                    window.location.href = "<?= $this->getLink('add-review', array('escort_id' => $this->escort->id)); ?>";
                } else return false;
            } else {
                $(this).closest('#addRev').html('<a class="to-log" href="<?=$this->getLink('signin')?>"><?=__("login")?></a><a class="to-reg" href="<?= $this->getLink('signup')?>"><?=__("signup")?></a>');
            }
        });
    };

    loadVideo = function(){
        $.ajax({
            data: { ajax: 1 },
            method: 'post',
            url: '<?=$this->getLink("show-video")?>',
            beforeSend: function(){

            },
            success: function( resp ){
                var video_cont = $("#videoContainer");

                video_cont.html( resp );
                jwplayer('videoContainer').setup({
                    autostart: true,
                    image: '<?=$this->photo_video?>',
                    logo: {
                        file: "/img/video/logo.png"
                    },
                    skin: {
                        name: "bekle"
                    },
                    file: '<?=$this->video?>'
                });
            }
        })

        // jwplayer().onDisplayClick(function() { jwplayer().setFullscreen(true); });
    }
</script>
